Описание тега glibc

glibc - это библиотека GNU C, которая предоставляет много общих и важных функций для программ. Практически каждая программа в Ubuntu прямо или косвенно зависит от этого и не сможет работать без нее. Помимо ядра, glibc, вероятно, самая важная часть системы; даже демон init требует этого. В Ubuntu glibc предоставляется пакетом libc6.
1 ответ

Потерянный графический интерфейс после установки GTK. Получает предупреждение -"Система работает в режиме низкой графики"

Я использую Ubuntu 14.4.0 64 бит. вчера я установил GTK, Glibc и его зависимости. в том числе, libffi-dev, libcairo2-dev, libtiff-dev, flex, бизон, xorg-dev, libatk-bridge2.0 наконец-то установлены glibc и GTK 3.10. [Edit:] Некоторые были установлен…
29 сен '14 в 12:20
1 ответ

GLIBC_PRIVATE не определен в файле libc.so.6

Я пытаюсь запустить Rstudio. И это просто не работает. Это сработало на прошлой неделе, когда я установил его впервые, но теперь, когда мне нужно его использовать, это не так. Я пытался в течение 5 часов, так что это мое последнее средство. Система:…
30 сен '16 в 14:21
0 ответов

Снижение производительности strstr() в libc-2.27.so по сравнению с libc-2.19

При обновлении с ubuntu16 до ubuntu18 мы обнаружили, что производительность вызова strstr() резко снизилась (у нас есть эталонный тест, который мы запускаем при непрерывной сборке, который измеряет точку безубыточности между использованием strstr() …
21 сен '18 в 10:45
1 ответ

Переустановка glibc с новым ядром

Недавно я удалил старое ядро ​​с функцией автоматического удаления. Но позже обнаружил, что я получаю ошибку в настройке Linux Kerel. Также я погуглил и понял, что linux-libc-dev зависит от старых заголовков ядра, которые я удалил. Я не помню, какую…
19 авг '14 в 14:32
1 ответ

CVE-2015-0235 Как обновить eglibc до 2.15-0ubuntu10.10

Я следовал этим инструкциям и обнаружил, что моя версия glibc была 2.15-0ubuntu10.9. Как мне обновить его до 2.15-0ubuntu10.10? Здесь также упоминается, что службы должны быть перезапущены после обновления. Как узнать, какие службы мне нужно перезап…
27 янв '15 в 17:21
1 ответ

Учитывая, что MD5 хеш находит libc, он соответствует

Я хотел бы найти дистрибутив Ubuntu, содержащий файл libc.so.6, который хэширует к определенному значению хеша MD5. Есть ли способ сделать это?
17 мар '15 в 19:11
1 ответ

Steam говорит, что мне не хватает 32-битных библиотек

Когда я устанавливаю Steam, я получаю: You are missing the following 32-bit libraries, and Steam may not run: libc.so.6. Как я бегу
06 май '16 в 05:54
1 ответ

dpkg: пакет обработки ошибок glibc (--configure)

Я использую Ubuntu 18.04.2 LTS и в последнее время каждый раз пытаюсь sudo apt-get upgrade происходит следующее: Reading package lists... Done Building dependency tree Reading state information... Done Calculating upgrade... Done 0 upgraded, 0 newly…
03 май '19 в 13:32
0 ответов

'GLIBC_2.25' не найден в Ubuntu

Получение следующей ошибки при компиляции посещения (инструмент визуализации) [email protected]:/usr/local/visit/bin$ ./visit ./../current/linux-x86_64/bin/python: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by ./../current/l…
20 май '19 в 00:46
0 ответов

Как установить glibc 2.19 без терминала (вручную и уже скомпилированные файлы)

Как мне получить файлы glibc 2.19 для копирования и вставки в соответствующие папки, специально для выполнения blender 2.79b? Я не могу скомпилировать, выполнить установку или что-либо, связанное с установкой терминала, поэтому мне нужны предварител…
17 апр '19 в 04:54
0 ответов

eglibc-2.19 nptl сбой сборки на 14.04.3 LTS

[email protected]:~/eglibc-2.19/build$ ../configure --prefix=/tmp/eglibc-2.19 производит: checking build system type... x86_64-unknown-linux-gnu checking host system type... x86_64-unknown-linux-gnu checking for gcc... gcc checking for suffix of obj…
13 янв '16 в 06:50
0 ответов

Сбой в glibc с указанием неверного указателя../sysdeps/unix/sysv/linux/raise.c: такого файла или каталога нет

В glibc происходит сбой в сообщении об ошибке ниже. Может кто-нибудь указать, в чем проблема с glibc? Программа получила сигнал SIGABRT, Прервано. __GI_raise ([email protected]=6) по адресу../sysdeps/unix/sysv/linux/raise.c:51 51 ../sysdeps/unix/sysv/li…
17 апр '19 в 05:08
2 ответа

Реальная реализация функции библиотеки C

Мне было интересно, где я могу найти фактическую реализацию C atoi() (или других таких функций). Я посмотрел в stdlib.h, но похоже, что atoi там не реализован. Есть ли способ просмотреть исходное дерево libc и увидеть реальный код C?
16 окт '17 в 04:56
1 ответ

Ошибка перемещения

В моем приложении мне нужно использовать эти библиотеки. Но я получаю эту ошибку. Я новичок в Linux и эти проблемы, поэтому я ничего не понимаю. У вас есть какие-либо идеи по поводу этой проблемы? ошибка перемещения: /lib/libomi.so: обратная трассир…
02 июл '15 в 10:45
1 ответ

Ubuntu 12.04.5 LTS не будет обновлять libc6 до 2.15-0ubuntu10.10

В свете CVE-2015-0235 я решил сегодня обновить свои серверы Ubuntu. У меня есть сервер 12.04.5 LTS, который отказывается обновлять мой libc6 пакет до версии, не содержащей уязвимости (2.15-0ubuntu10.10 в соответствии с этим). Когда я бегу apt-get up…
27 янв '15 в 22:24
3 ответа

Установка sqldeveloper - проблемы с зависимостями: sqldeveloper зависит от libc6-amd64 (>= 2.2.5)

dpkg: dependency problems prevent configuration of sqldeveloper: sqldeveloper depends on libc6-amd64 (>= 2.2.5). dpkg: error processing package sqldeveloper (--install):dependency problems - leaving unconfigured Errors were encountered while proc…
0 ответов

eglibc-2.19 nptl сборка не удалась на Ubuntu 14.04 LTS

Я пытался собрать eglibc-2.19, который я скачал через apt-get source libc6 Я следовал инструкциям INSTALL, но получил эту ошибку, когда он столкнулся с nptl, gcc sem_init.c -c -std=gnu99 -fgnu89-inline -fno-stack-protector -O2 -Wall -Winline -Wwrite…
04 окт '15 в 08:10
0 ответов

apt-get: /lib/x86_64-linux-gnu/libc.so.6: версия `GLIBC_2.18'не найдена (требуется для /usr/lib/x86_64-linux-gnu/libstdc++.so.6)

У меня есть эта машина $ cat /proc/cpuinfo processor : 0 vendor_id : AuthenticAMD cpu family : 16 model : 8 model name : AMD Opteron(tm) Processor 4171 HE stepping : 1 microcode : 0xffffffff cpu MHz : 2094.720 cache size : 512 KB physical id : 0 sib…
05 сен '16 в 08:43
1 ответ

2016 glibc уязвимость

Мы наследуем некоторые старые ОС на другом объекте, и, очевидно, их специалист по поддержке перешел. У меня есть некоторый фон Linux, но это не с Ubuntu (Redhat). Это более старые операционные системы - 9.10, 10.04.1 LTS и 13.10. Есть ли для них пат…
07 мар '16 в 20:50
0 ответов

Совместимость Android и Ubuntu Mobile SW

Android использует bionic но Ubuntu использует glibc, Как они поддерживают совместимость в Ubuntu для Android? Использует ли Ubuntu для Android бионический? Или это отказывается от совместимости Android NDK?
11 янв '13 в 08:57